// wait for everything to load, then execute our script
window.onload = function(){

	// get #shape `div` and store it in a variable
	var shape = document.getElementById('shape');

	// JS Date object
	// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date
	var now = new Date();
	console.log( now );

	// get properties from the Date() object
	var hour   = now.getHours();
	var min    = now.getMinutes();
	var day    = now.getDay();
	var date   = now.getDate();
	var month  = now.getMonth();
	var year   = now.getFullYear();
	var second = now.getSeconds();

	console.log( hour, min, second, day, date, month, year )

	// manipulate #shape using info from Date()
	shape.style.height = day*12 + "px";
	shape.style.width = second + "%";

}

// Other stuff ... 
// http://jsfiddle.net/tiffhockin/2HmzP/
// see JS code for range mapping
// look into hue, saturation, lightness